Subject: [lamps] SHOULD vs MUST for CSR Attributes in RFC7030/CTE clarifications

From: Michael Richardson <[email-masked]>
Date: Fri, 22 May 2020 10:43:40 -0400

Eliot wants to propose some additional updates in this document which are
not in the form of errata, and he will propose text by Monday.
I think that it's too late; he should write another document updating RFC7030.

In the process of discussing this, he pointed at this text, originally in
4.5.2, and not changed in the updated text:

   The structure of the CSR Attributes Response **SHOULD**, to the greatest
   extent possible, reflect the structure of the CSR it is requesting.
   Requests to use a particular signature scheme (e.g. using a
   particular hash function) are represented as an OID to be reflected
   in the SignatureAlgorithm of the CSR.  Requests to use a particular

The question is, why SHOULD?  Why not MUST?

What is the exception case?  What does "greatest extent possible"?
I.e. when does the Registrar fail to accomplish this?
I don't know, but I'm not particularly bothered by SHOULD.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-